/* Testimonial */
.tns-liveregion.tns-visually-hidden {
  display: none;
}

/* Swiper services carousel */

.roofing-services-carousel {
  padding-block: 1.5rem;
}

.swiper-pagination {
  bottom: 10px; /* distance from carousel */
}

.swiper-pagination-bullet {
  background: #000; /* dot color */
  opacity: 0.5;
}

.swiper-pagination-bullet-active {
  opacity: 1;
  background: #0073e6; /* active dot color */
}

.roofing-services-carousel {
  width: 100%;
  overflow: hidden;
}

.services-item-card {
  height: 100%;
}

.services-item-card {
  max-width: 400px;
  background: #fff;
  box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
  border-radius: 10px;
  overflow: hidden;
}

.services-item-image {
  overflow: hidden;
}

.services-item-image img {
  transition: transform 0.3s ease;
}

.services-item-image:hover img {
  transform: scale(1.05);
}

.services-item-content {
  padding-block: 30px;
  padding-inline: 1.5rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
}

.services-item-card h3 {
  margin-top: 0;
  text-align: center;
  text-wrap-style: balance;
}

.services-item-description {
  text-align: center;
  font-size: 18px;
  font-weight: 600;
  color: #000;
}

.services-item-content a {
  background: #0082c9;
  color: #fff;
  font-size: 18px;
  border-radius: 10px;
  padding-inline: 30px;
  padding-block: 10px;
  font-weight: 500;
}

.services-item-content a:hover {
  background: #062a7e;
  color: #fff;
}

.services-item-content a i {
  margin-left: 5px;

  position: relative;
  top: 1px;
}

.section-title h2 span {
  color: #000;
}

/* Quote */

.quote-text {
  font-size: 1.5rem;
  font-weight: 500;
  line-height: 1.5;
  color: #1f2937;
  font-style: italic;
  max-width: 820px;
  margin: 40px auto;
  margin-top: 0;
  padding: 20px 48px;
  position: relative;
  text-align: center;
  font-family: "Plus Jakarta Sans";
}

.quote-text::before,
.quote-text::after {
  font-size: 4.5rem;
  font-weight: 700;
  color: #062a7e;
  position: absolute;
  line-height: 1;
}

.quote-text::before {
  content: "“";
  left: 0;
  top: 10px;
}

.quote-text::after {
  content: "”";
  right: 0;
  bottom: -10px;
}

/* Accreditation */
.accre-grid img {
  max-height: 140px;
  object-fit: contain;
  margin-inline: auto;
}

.accre-item:hover {
  background: #0082c9 !important;
}

.accre-item:hover h3,
.accre-item:hover p {
  color: #fff !important;
}

.contact-list-info li:last-child {
  align-items: flex-start;
}

.contact-list-info li:last-child .elementor-icon-list-text {
  position: relative;
  top: -7px;
}

/* Responsive */

@media (min-width: 1024px) {
  .section-title {
    width: auto !important;
  }

  .section-title h2 span {
    color: #000;
    display: block;
  }
}

@media (max-width: 768px) {
  .section-title {
    margin-bottom: 0 !important;
  }
  .section-title .elementor-heading-title {
    margin-bottom: 0 !important;
  }
}

@media (max-width: 767px) {
  .quote-text::before,
  .quote-text::after {
    font-size: 3.5rem;
  }
  .quote-text::before {
    left: 20px;
  }

  .quote-text::after {
    right: 20px;
  }
}

/* Services */

.services-grid .wdt-content-description {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

/* Testimonials */

/* Adjust the minimum height of the review cards */
.ti-review-item .ti-review-content {
  min-height: 180px !important; /* Adjust this number as needed */
}

/* Ensures the inner content stretches to fill the height */
.ti-widget .ti-inner {
  height: 100% !important;
}

.testimonial-container {
  overflow: hidden;
}

.testimonial-swiper {
  width: 100%;
}

.testimonial-swiper .swiper-slide {
  height: auto;
}

.testimonial-swiper .swiper-button-next,
.testimonial-swiper .swiper-button-prev,
.roofing-services-carousel .swiper-button-next,
.roofing-services-carousel .swiper-button-prev {
  color: #000;
}

.testimonial-swiper .swiper-pagination-bullet-active {
  background: #000;
}

.testimonial-container .swiper-button-prev,
.testimonial-container .swiper-button-next,
.roofing-services-carousel .swiper-button-next,
.roofing-services-carousel .swiper-button-prev{
  background-color: transparent;
  border-radius: 0;
  display: flex;
  border: none;
  margin-top: calc(0px - (var(--swiper-navigation-size) / 2));
  box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
  border-radius: 50%;
  width: 40px !important;
  height: 40px !important;
  padding: 0;
  background: #fff;
}

.testimonial-container .swiper-button-prev::after,
.testimonial-container .swiper-button-next::after,
.roofing-services-carousel .swiper-button-next::after,
.roofing-services-carousel .swiper-button-prev::after{
  font-size: 16px;
}

.n2-ss-slider-controls .nextend-arrow {
  background-color: transparent !important;
  border-radius: 0;
  padding: 0;
}

/* Blog Grid */

.wdt-posts-list-wrapper .wdt-fancy-box-style .blog-entry .entry-button a.wdt-button:hover {
  color: #062a7e !important;
}

.blog-grid .default-featured-img {
  object-position: 2px center !important;
}

/* Blog Single Post */

.single-post .single-entry-body {
  max-width: 1000px !important;
  margin-top: 3rem !important;
}

.single-post article .post-meta {
  display: none !important;
}

.single-post .blog-image {
  padding-block: 3rem;
  display: none;
}

.single-post .blog-image img {
  border-radius: 20px !important;
  overflow: hidden;
  max-height: 500px;
  object-fit: contain;
  width: fit-content !important;
  box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
}

.single-post .single-entry-body,
.single-post .single-entry-body p {
  color: #000 !important;
}

.single-post ul li::marker {
  color: #0082c9 !important;
}

.single-post .single-entry-body a:hover {
  color: #062a7e !important;
}

.single-post .post-date-after-content {
  margin-top: 3rem;
  text-align: center;
}

.single-post .addtoany_share_save_container {
  display: flex;
  justify-content: center;
}

.li-pb-0 li {
  padding-bottom: 0;
}

@media (max-width: 767px) {
  .testimonial-container .swiper-button-prev,
  .testimonial-container .swiper-button-next {
    display: none;
  }

  .testimonial-home .testimonial-card {
    /* box-shadow: 0 4px 12px rgba(0, 0, 0, 0.06); */
    border: 1px solid #dbdbdb;
  }

  .testimonial-home .testimonial-card::after {
    display: none;
  }
}
